* {
  box-sizing: border-box;
}

.header {
  text-align: center;
  min-height: 230px;
}

button {
  padding: 14px;
  text-transform: uppercase;
  cursor: pointer;
  font-weight: bold;
  border: 2px solid green;
  border-radius: 5px;
  transition: transform 0.3s ease-in-out;
}

button:hover {
  color: rgb(57, 130, 130);
  border-color: rgb(13, 165, 13);
}

button:active {
  transform: scale(0.9);
}

.container {
  padding: 20px;
  margin: 0 auto;
}

.makeCirclebBtn {
  background-color: rgba(149, 48, 48, 0.387);
}

.input {
  all: unset;
  font-size: 23px;
  padding: 5px 8px;
  border: 2px solid green;
  border-radius: 5px;
  width: 150px;
  margin: 10px 0;
}

.menu__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: hidden;
  height: 0;
}

.show {
  animation: show-menu 3s ease-in-out;
  height: 120px;
}

.hide {
  animation: hide-menu 3s ease-in-out;
  height: 0;
}

@keyframes show-menu {
  0% {
    height: 0;
  }

  100% {
    height: 120px;
  }
}

@keyframes hide-menu {
  0% {
    height: 120px;
  }

  100% {
    height: 0;
  }
}

.circle {
  background-color: chocolate;
  border-radius: 50%;
  cursor: pointer;
  opacity: 1;
  animation: circle-show 1.5s  ease-in-out;
  transition: transform  0.4s  ease-in;
}

.circle:hover {
  box-shadow: 5px 5px 8px 3px black;
  transform: scale(1.1);
}

.circle:active {
  transform: scale(0.9);
}

.circale-animate {
  animation: circle-rotate 1s  ease-in-out;
}

@keyframes circle-show {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes circle-rotate {
  0% {
    transform: rotateY(0deg);
    opacity: 0.9;
  }

  100% {
    transform: rotateY(90deg);
    opacity: 0.2;
  }
}

.circles-container {
  display: grid;
  grid-template: repeat(10, 1fr) / repeat(10, 1fr);
  gap: 10px;
  justify-items: center;
}
